Bug 239642 - biology/gperiodic: unbreak, make fetchable, update to 3.0.3
Summary: biology/gperiodic: unbreak, make fetchable, update to 3.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-04 14:41 UTC by Walter Schwarzenfeld
Modified: 2019-08-23 15:29 UTC (History)
1 user (show)

See Also:


Attachments
svn-diff-gperiodic (3.14 KB, patch)
2019-08-04 14:41 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-gperiodic_v2 (7.00 KB, patch)
2019-08-04 16:52 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-gperiodic_v3 (3.82 KB, patch)
2019-08-04 17:07 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-gperiodic_v4 (2.93 KB, patch)
2019-08-23 15:16 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-gperiodic_v5 (3.09 KB, patch)
2019-08-23 15:29 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2019-08-04 14:41:14 UTC
Created attachment 206274 [details]
svn-diff-gperiodic

Change MasterSite and update to 3.0.3.

ChangeLog
3.0.3 Dec 26 2018
   Fix FTCBFS: Use a triplet-prefixed pkg-config (patch from Debian by Helmut Grohne <helmut@subdivi.de>)
   Update translations from transifex.com

3.0.2 Jan 22 2017
   Fix: program returns random data in a function (OpenSuse: rpmlint) (Jan Engelhar3.0.3 Dec 26 2018
   Fix FTCBFS: Use a triplet-prefixed pkg-config (patch from Debian by Helmut Grohne <helmut@subdivi.de>)
   Update translations from transifex.com

3.0.2 Jan 22 2017
   Fix: program returns random data in a function (OpenSuse: rpmlint) (Jan Engelhardt)
   Fix: no-return-in-nonvoid-function (OpenSuse: rpmlint) (Jan Engelhardt)
   Add "Keywords" in desktop file
   Update info about elements with numbers 113, 115, 117, 118
   Apply patches from Gentoo to fix nls and parallel make (Kacper Kowalik)
   Update translations from transifex.com

3.0.1 Nov 8 2015
   Update desktop file
   Move to https://sourceforge.net/p/gperiodic
   Use translations from transifex.com
dt)
   Fix: no-return-in-nonvoid-function (OpenSuse: rpmlint) (Jan Engelhardt)
   Add "Keywords" in desktop file
   Update info about elements with numbers 113, 115, 117, 118
   Apply patches from Gentoo to fix nls and parallel make (Kacper Kowalik)
   Update translations from transifex.com

3.0.1 Nov 8 2015
   Update desktop file
   Move to https://sourceforge.net/p/gperiodic
   Use translations from transifex.com
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-04 16:52:24 UTC
Created attachment 206280 [details]
svn-diff-gperiodic_v2

Overlooked three files (see pkg-plist).
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-04 17:07:38 UTC
Created attachment 206282 [details]
svn-diff-gperiodic_v3

Make the directory with gperiodic.pot executable.
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-05 08:30:48 UTC
There's a typo in, please change chmod -R 777 to 770.
Comment 4 Kurt Jaeger freebsd_committer 2019-08-11 17:29:13 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-08-11 17:29:21 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 11 17:29:11 UTC 2019
New revision: 508657
URL: https://svnweb.freebsd.org/changeset/ports/508657

Log:
  biology/gperiodic: upgrade 2.0.10 -> 3.0.3

  - new mastersite

  PR:		239642
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Relnotes:	https://sourceforge.net/p/gperiodic/code/HEAD/tree/branches/3.0.3/ChangeLog

Changes:
  head/biology/gperiodic/Makefile
  head/biology/gperiodic/distinfo
  head/biology/gperiodic/pkg-plist
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-23 15:16:54 UTC
Created attachment 206832 [details]
svn-diff-gperiodic_v4

Correct update.
Comment 7 Walter Schwarzenfeld freebsd_triage 2019-08-23 15:17:17 UTC
Correction of the update.
Comment 8 Kurt Jaeger freebsd_committer 2019-08-23 15:27:09 UTC
Thanks for the fix!
Comment 9 commit-hook freebsd_committer 2019-08-23 15:27:31 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 23 15:26:55 UTC 2019
New revision: 509652
URL: https://svnweb.freebsd.org/changeset/ports/509652

Log:
  biology/gperiodic: fix NLS and other rough edges

  PR:		239642
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	bapt

Changes:
  head/biology/gperiodic/Makefile
  head/biology/gperiodic/pkg-plist
Comment 10 Walter Schwarzenfeld freebsd_triage 2019-08-23 15:29:30 UTC
Created attachment 206834 [details]
svn-diff-gperiodic_v5

Forgot bump Portrevision.